<?php
	if ($auth->userdata["acclevel"] < 80) die ("Access denied!");

	$edlist = new EditList("roleId", "hlstats_Roles", "role");
	$edlist->columns[] = new EditListColumn("game", "Game", 0, true, "hidden", $gamecode);
	$edlist->columns[] = new EditListColumn("code", "Role Code", 20, true, "text", "", 32);
	$edlist->columns[] = new EditListColumn("name", "Role Name", 20, true, "text", "", 64);
	$edlist->columns[] = new EditListColumn("hidden", "<center>Hide Role</center>", 0, false, "checkbox");
	
	
	if ($HTTP_POST_VARS)
	{
		if ($edlist->update())
			message("success", "Operation successful.");
		else
			message("warning", $edlist->error());
	}
?>

You can specify descriptive names for each game's role codes.<p>

<?php $result = $db->query("
		SELECT
			roleId,
			code,
			name,
			hidden
		FROM
			hlstats_Roles
		WHERE
			game='$gamecode'
		ORDER BY
			code ASC
	");
	
	$edlist->draw($result);
?>

<table width="75%" border=0 cellspacing=0 cellpadding=0>
<tr>
	<td align="center"><input type="submit" value="  Apply  " class="submit"></td>
</tr>
</table>

